/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.hop.parquet.transforms.output;

import java.io.OutputStream;
import java.util.ArrayList;
import org.apache.avro.Schema;
import org.apache.hadoop.conf.Configuration;
import org.apache.hop.core.RowMetaAndData;
import org.apache.hop.pipeline.transform.BaseTransformData;
import org.apache.hop.pipeline.transform.ITransformData;
import org.apache.parquet.column.ParquetProperties;
import org.apache.parquet.hadoop.ParquetWriter;

@SuppressWarnings("java:S1104")
public class ParquetOutputData extends BaseTransformData implements ITransformData {
  public ArrayList<Integer> sourceFieldIndexes;
  public Configuration conf;
  public ParquetProperties props;
  public String filename;
  public OutputStream outputStream;
  public ParquetOutputFile outputFile;
  public ParquetWriter<RowMetaAndData> writer;
  public int split = 0;
  public long splitRowCount;
  public long maxSplitSizeRows;
  public int rowGroupSize;
  public int pageSize;
  public int dictionaryPageSize;
  public Schema avroSchema;

  public ParquetOutputData() {
    super();
  }
}
