/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.hop.pipeline.transforms.excelinput.staxpoi;

import org.apache.hop.core.spreadsheet.IKCell;
import org.apache.hop.core.spreadsheet.KCellType;

public class StaxPoiCell implements IKCell {

  private KCellType type;
  private Object value;
  private int row;

  public StaxPoiCell(String value, int row) {
    this.value = value;
    this.row = row;
    type = KCellType.STRING_FORMULA;
  }

  public StaxPoiCell(Object value, KCellType type, int row) {
    this.value = value;
    this.type = type;
    this.row = row;
  }

  @Override
  public KCellType getType() {
    return type;
  }

  @Override
  public Object getValue() {
    return value;
  }

  @Override
  public String getContents() {
    return value == null ? null : value.toString();
  }

  @Override
  public int getRow() {
    return row;
  }
}
